import React, { Component } from "react";
import "./index.css";
import {
  makeStyles,
  mergeClasses,
  Button,
  Popover,
  Input,
  PopoverSurface,
  PopoverTrigger,
} from "@fluentui/react-components";
import {
  SearchRegular,
} from "@fluentui/react-icons";
import m365 from "../../img/m365.svg";
import outlook from "../../img/outlook.svg";
import oneDrice from "../../img/oneDrice.svg";
import word from "../../img/word.svg";
import excel from "../../img/excel.svg";
import ppt from "../../img/ppt.svg";
import oneNote from "../../img/OneNote.svg";
import sps from "../../img/SPS.svg";
import teams from "../../img/Teams.svg";
import vi from "../../img/Vi.svg";
import engaga from "../../img/Engaga.svg";
import pa from "../../img/PA.svg";
import gd from "../../img/更多.svg";
import wd1 from "../../img/文档1.svg";
import wd2 from "../../img/文档2.svg";
import gzp1 from "../../img/工作普1.svg";
import gzp2 from "../../img/工作普2.svg";
import yswd1 from "../../img/演示文档1.svg";
import yswd2 from "../../img/演示文档2.svg";
import dc1 from "../../img/调查1.svg";
import dc2 from "../../img/调查2.svg";
import cjgd from "../../img/创建更多.svg";

import { LocalLanguage20Regular } from '@fluentui/react-icons'
import {
    Menu,
    MenuTrigger,
    MenuList,
    MenuItem,
    MenuPopover,
} from "@fluentui/react-components";
import { useTranslation } from 'react-i18next'

const useExampleStyles = makeStyles({
    popoverSurface: {
        width: "512px",
        height: "489px",
        display: "flex",
        flexDirection: "column",
    },

    target: {
        height: "48px",
        width: "48px",
        display: "flex",
        justifyContent: "",
    },
});

const useGridExampleStyles = makeStyles({
    belowStart: {
        flexDirection: "row-reverse",
        gridRowStart: "5",
        gridColumnStart: "2",
        "& div:nth-child(2)": {
            transform: "rotate(180deg)",
        },
    }
});


const PositionedComponent = (props) => {
    const { positioning, targetContent = "Click me", targetClassName } = props;
    const styles = useExampleStyles();
    return (
        <Popover positioning={positioning}>
            <PopoverTrigger disableButtonEnhancement>
                <Button
                    appearance="primary"
                    className={mergeClasses(styles.target, targetClassName)}
                    style={{ minWidth: "48px", height: "48px" }}
                >
                    <div class="function-dropdown" title="应用启动器">
                        <svg
                            t="1730778589476"
                            class="icon"
                            viewBox="0 0 1026 1024"
                            version="1.1"
                            xmlns="http://www.w3.org/2000/svg"
                            p-id="11096"
                            width="16"
                            height="16"
                        >
                            <path
                                d="M113.787259 227.553185a113.787259 113.787259 0 1 0 0-227.531853 113.787259 113.787259 0 0 0 0 227.531853zM511.978668 227.553185A113.787259 113.787259 0 1 0 511.978668 0.021332a113.787259 113.787259 0 0 0 0 227.531853zM910.170076 227.553185a113.787259 113.787259 0 1 0 0-227.531853 113.787259 113.787259 0 0 0 0 227.531853zM113.787259 625.787259a113.787259 113.787259 0 1 0 0-227.574518 113.787259 113.787259 0 0 0 0 227.574518z"
                                fill="currentColor"
                                p-id="11097"
                            ></path>
                            <path
                                d="M511.978668 625.787259a113.787259 113.787259 0 1 0 0-227.574518 113.787259 113.787259 0 0 0 0 227.574518z"
                                fill="currentColor"
                                p-id="11098"
                            ></path>
                            <path
                                d="M910.170076 625.787259a113.787259 113.787259 0 1 0 0-227.574518 113.787259 113.787259 0 0 0 0 227.574518zM113.787259 1023.978668a113.787259 113.787259 0 1 0 0-227.531853 113.787259 113.787259 0 0 0 0 227.531853zM511.978668 1023.978668a113.787259 113.787259 0 1 0 0-227.531853A113.787259 113.787259 0 0 0 511.978668 1023.978668zM910.170076 1023.978668a113.787259 113.787259 0 1 0 0-227.531853 113.787259 113.787259 0 0 0 0 227.531853z"
                                fill="currentColor"
                                p-id="11099"
                            ></path>
                        </svg>
                    </div>
                </Button>
            </PopoverTrigger>

      <PopoverSurface className={styles.popoverSurface}>
        <div
          style={{ width: "480px", height: "32px" }}
          class="zl-365-header-tools2"
        >
          <div class="zl-365-logo-search">
              <Input  placeholder="查找Microsoft 365应用" contentBefore={<SearchRegular />}/>
          </div>
        </div>
        <div style={{ width: "480px", height: "409px" }}>
          <div
            style={{
              flex: "0 0 100%",
              height: "264px",
              display: "flex",
              flexWrap: "wrap",
              marginTop: "8px",
            }}
          >
            <div className="zl-365-article">
              <button
                title="Microsoft 365"
                aria-label="Microsoft 365 将在新选项卡中打开"
              >
                <div style={{ width: "100%" }}>
                  <img
                    src={m365}
                    style={{
                      width: "32px",
                      height: "40px",
                      display: "inline-block",
                    }}
                    alt="Microsoft 365"
                  />
                </div>
                <div style={{ width: "100%" }}>
                  <span>Microsoft 365</span>
                </div>
              </button>
            </div>
            <div className="zl-365-article">
              <button title="OutLook" aria-label="OutLook 将在新选项卡中打开">
                <div style={{ width: "100%" }}>
                  <img
                    src={outlook}
                    style={{
                      width: "32px",
                      height: "40px",
                      display: "inline-block",
                    }}
                    alt="Outlook"
                  />
                </div>
                <div style={{ width: "100%" }}>
                  <span>Outlook</span>
                </div>
              </button>
            </div>
            <div className="zl-365-article">
              <button title="OneDrice" aria-label="OneDrice 将在新选项卡中打开">
                <div style={{ width: "100%" }}>
                  <img
                    src={oneDrice}
                    style={{
                      width: "32px",
                      height: "40px",
                      display: "inline-block",
                    }}
                    alt="OneDrice"
                  />
                </div>
                <div style={{ width: "100%" }}>
                  <span>OneDrice</span>
                </div>
              </button>
            </div>
            <div className="zl-365-article">
              <button title="Word" aria-label="Word 将在新选项卡中打开">
                <div style={{ width: "100%" }}>
                  <img
                    src={word}
                    style={{
                      width: "32px",
                      height: "40px",
                      display: "inline-block",
                    }}
                    alt="Word"
                  />
                </div>
                <div style={{ width: "100%" }}>
                  <span>Word</span>
                </div>
              </button>
            </div>
            <div className="zl-365-article">
              <button title="Excel" aria-label="Excel 将在新选项卡中打开">
                <div style={{ width: "100%" }}>
                  <img
                    src={excel}
                    style={{
                      width: "32px",
                      height: "40px",
                      display: "inline-block",
                    }}
                    alt="Excel"
                  />
                </div>
                <div style={{ width: "100%" }}>
                  <span>Excel</span>
                </div>
              </button>
            </div>
            <div className="zl-365-article">
              <button
                title="PowerPoint"
                aria-label="PowerPoint 将在新选项卡中打开"
              >
                <div style={{ width: "100%" }}>
                  <img
                    src={ppt}
                    style={{
                      width: "32px",
                      height: "40px",
                      display: "inline-block",
                    }}
                    alt="PowerPoint"
                  />
                </div>
                <div style={{ width: "100%" }}>
                  <span>PowerPoint</span>
                </div>
              </button>
            </div>
            <div className="zl-365-article">
              <button title="OneNote" aria-label="OneNote 将在新选项卡中打开">
                <div style={{ width: "100%" }}>
                  <img
                    src={oneNote}
                    style={{
                      width: "32px",
                      height: "40px",
                      display: "inline-block",
                    }}
                    alt="OneNote"
                  />
                </div>
                <div style={{ width: "100%" }}>
                  <span>OneNote</span>
                </div>
              </button>
            </div>
            <div className="zl-365-article">
              <button
                title="SharePoint"
                aria-label="SharePoint 将在新选项卡中打开"
              >
                <div style={{ width: "100%" }}>
                  <img
                    src={sps}
                    style={{
                      width: "32px",
                      height: "40px",
                      display: "inline-block",
                    }}
                    alt="SharePoint"
                  />
                </div>
                <div style={{ width: "100%" }}>
                  <span>SharePoint</span>
                </div>
              </button>
            </div>
            <div className="zl-365-article">
              <button title="SharePoint" aria-label="Teams 将在新选项卡中打开">
                <div style={{ width: "100%" }}>
                  <img
                    src={teams}
                    style={{
                      width: "32px",
                      height: "40px",
                      display: "inline-block",
                    }}
                    alt="Teams"
                  />
                </div>
                <div style={{ width: "100%" }}>
                  <span>Teams</span>
                </div>
              </button>
            </div>
            <div className="zl-365-article">
              <button title="Viva" aria-label="Viva 将在新选项卡中打开">
                <div style={{ width: "100%" }}>
                  <img
                    src={vi}
                    style={{
                      width: "32px",
                      height: "40px",
                      display: "inline-block",
                    }}
                    alt="Viva"
                  />
                </div>
                <div style={{ width: "100%" }}>
                  <span>Viva</span>
                </div>
              </button>
            </div>
            <div className="zl-365-article">
              <button title="Engaga" aria-label="Engaga 将在新选项卡中打开">
                <div style={{ width: "100%" }}>
                  <img
                    src={engaga}
                    style={{
                      width: "32px",
                      height: "40px",
                      display: "inline-block",
                    }}
                    alt="Engaga"
                  />
                </div>
                <div style={{ width: "100%" }}>
                  <span>Viva</span>
                </div>
              </button>
            </div>
            <div className="zl-365-article">
              <button
                title="PowerAutomate"
                aria-label="PowerAutomate 将在新选项卡中打开"
              >
                <div style={{ width: "100%" }}>
                  <img
                    src={pa}
                    style={{
                      width: "32px",
                      height: "40px",
                      display: "inline-block",
                    }}
                    alt="PowerAutomate"
                  />
                </div>
                <div style={{ width: "100%", display: "grid" }}>
                  <span>Power</span>
                  <span>Automate</span>
                </div>
              </button>
            </div>
            <div className="zl-365-article">
              <button title="更多应用" aria-label="更多应用 将在新选项卡中打开">
                <div style={{ width: "100%" }}>
                  <img
                    src={gd}
                    style={{
                      width: "32px",
                      height: "40px",
                      display: "inline-block",
                    }}
                    alt="更多应用"
                  />
                </div>
                <div style={{ width: "100%" }}>
                  <span>更多应用</span>
                </div>
              </button>
            </div>
          </div>
          <div className="custom-div">
            <hr className="custom-hr" />
          </div>
          <div style={{ width: "480px", height: "145px",
              flex: "0 0 100%",
              display: "flex",
              flexWrap: "wrap"}}>
            <div className="intentTileWrapper">
              <button
                className="intentTile-button"
                aria-label="文档 将在新选项卡中打开"
              >
                <div className="intentTile-icon-content">
                  <div className="intentTile-icon1">
                    <img
                      src={wd1}
                      style={{
                        width: "32px",
                        height: "44px",
                        display: "inline-block",
                      }}
                      alt="文档"
                    />
                  </div>
                  <div className="intentTile-icon2">
                    <img
                      src={wd2}
                      style={{
                        display: "inline-block",
                      }}
                      alt="文档"
                    />
                  </div>
                </div>
                <div className="intentTile-text">
                  <span>文档</span>
                </div>
              </button>
            </div>
            <div className="intentTileWrapper">
              <button
                className="intentTile-button"
                aria-label="工作簿 将在新选项卡中打开"
              >
                <div className="intentTile-icon-content">
                  <div className="intentTile-icon1">
                    <img
                      src={gzp1}
                      style={{
                        width: "55.8px",
                        height: "44px",
                        display: "inline-block",
                      }}
                      alt="工作簿"
                    />
                  </div>
                  <div className="intentTile-icon2">
                    <img
                      src={gzp2}
                      style={{
                        display: "inline-block",
                      }}
                      alt="工作簿"
                    />
                  </div>
                </div>
                <div className="intentTile-text">
                  <span>工作簿</span>
                </div>
              </button>
            </div>
            <div className="intentTileWrapper">
              <button
                className="intentTile-button"
                aria-label="演示文稿 将在新选项卡中打开"
              >
                <div className="intentTile-icon-content">
                  <div className="intentTile-icon1">
                    <img
                      src={yswd1}
                      style={{
                        width: "66.6px",
                        height: "44px",
                        display: "inline-block",
                      }}
                      alt="演示文稿"
                    />
                  </div>
                  <div className="intentTile-icon2">
                    <img
                      src={yswd2}
                      style={{
                        display: "inline-block",
                      }}
                      alt="演示文稿"
                    />
                  </div>
                </div>
                <div className="intentTile-text">
                  <span>演示文稿</span>
                </div>
              </button>
            </div>
            <div className="intentTileWrapper">
              <button
                className="intentTile-button"
                aria-label="调查 将在新选项卡中打开"
              >
                <div className="intentTile-icon-content">
                  <div className="intentTile-icon1">
                    <img
                      src={dc1}
                      style={{
                        width: "39px",
                        height: "44px",
                        display: "inline-block",
                      }}
                      alt="调查"
                    />
                  </div>
                  <div className="intentTile-icon2">
                    <img
                      src={dc2}
                      style={{
                        display: "inline-block",
                      }}
                      alt="调查"
                    />
                  </div>
                </div>
                <div className="intentTile-text">
                  <span>调查</span>
                </div>
              </button>
            </div>
            <div className="intentTileWrapper">
              <button
                className="intentTile-button"
                aria-label="创建更多 将在新选项卡中打开"
              >
                <div className="intentTile-icon-content">
                  <div className="intentTile-icon1" style={{width:"88px",height:"76px",display:"contents"}}>
                    <img
                      src={cjgd}
                      style={{
                        width: "32px",
                        height: "32px",
                        display: "inline-block",
                      }}
                      alt="创建更多"
                    />
                  </div>
                </div>
                <div className="intentTile-text">
                  <span>创建更多</span>
                </div>
              </button>
            </div>
          </div>
        </div>
      </PopoverSurface>
    </Popover>
  );
};
const IconHtml = () => {
    const styles = useGridExampleStyles();
    return (
        <PositionedComponent
            positioning=""
            targetClassName={styles.belowStart}
            targetContent=""
        />
    );
}

const Header = () => {
    const { t, i18n } = useTranslation();
    return (
      <div class="zl-365-header">
        <div class="zl-365-header-function">
          <IconHtml></IconHtml>
        </div>
        <div class="zl-365-header-name">ZlSoftSharePoint</div>
        <div class="zl-365-header-search">
            <Input  placeholder="在此网站中搜索" contentBefore={<SearchRegular />}/>
        </div>
        <div class="zl-365-header-tools">
          <div class="header-tools-set">
            <svg
              t="1730786970755"
              class="icon"
              viewBox="0 0 1024 1024"
              version="1.1"
              xmlns="http://www.w3.org/2000/svg"
              p-id="27709"
              width="16"
              height="16"
            >
              <path
                d="M833.75 911.25l136.25-170L900 630l11.25-51.25 110-67.5-48.75-213.75-128.75-15-32.5-41.25L825 111.25 627.5 15l-91.25 91.25-52.5 0-91.25-92.5L195 107.5l15 128.75-32.5 41.25L48.75 291.25 1.25 505l110 70L122.5 625l-68.75 108.75 136.25 172.5 122.5-42.5 47.5 23.75 42.5 122.5L622.5 1012.5l42.5-122.5 47.5-22.5L833.75 911.25zM566.25 933.75l-107.5-1.25-35-101.25-106.25-51.25-100 35L150 730l56.25-90L180 525l-90-57.5L112.5 363.75l106.25-11.25 72.5-91.25-12.5-106.25 96.25-46.25 75 76.25 117.5 1.25 75-75 96.25 47.5-11.25 106.25 73.75 92.5 106.25 12.5 23.75 105-90 56.25-26.25 115 57.5 90-66.25 83.75-100-36.25-106.25 50L566.25 933.75zM662.5 391.25c-67.5-85-191.25-100-275-32.5-83.75 67.5-97.5 190-30 275s191.25 100 275 32.5C717.5 600 730 476.25 662.5 391.25zM415 588.75c-42.5-53.75-33.75-131.25 18.75-172.5 52.5-41.25 130-32.5 172.5 20 42.5 53.75 33.75 131.25-18.75 172.5C533.75 651.25 456.25 642.5 415 588.75z"
                fill="currentColor"
                p-id="27710"
              ></path>
            </svg>
          </div>
          <div class="header-tools-user">
            <svg
              t="1730787072114"
              class="icon"
              viewBox="0 0 1024 1024"
              version="1.1"
              xmlns="http://www.w3.org/2000/svg"
              p-id="29667"
              width="16"
              height="16"
            >
              <path
                d="M508.672 128.64c123.904 0 224.768 100.864 224.768 224.768s-100.864 224.768-224.768 224.768-224.768-100.864-224.768-224.768c0-124.032 100.864-224.768 224.768-224.768m0-79.36c-167.936 0-304.128 136.192-304.128 304.128s136.192 304.128 304.128 304.128S812.8 521.344 812.8 353.408 676.608 49.28 508.672 49.28"
                fill="currentColor"
                p-id="29668"
              ></path>
              <path
                d="M92.288 974.72c-2.304 0-4.608-0.256-6.912-0.64-21.504-3.84-35.968-24.32-32.128-45.952 40.064-227.328 264.576-350.08 455.552-350.08 21.888 0 39.68 17.792 39.68 39.68s-17.792 39.68-39.68 39.68c-126.464 0-340.864 77.184-377.344 284.544-3.584 19.2-20.224 32.768-39.168 32.768"
                fill="currentColor"
                p-id="29669"
              ></path>
              <path
                d="M931.712 974.72c-18.944 0-35.584-13.568-39.04-32.768-36.608-207.232-250.88-284.544-377.344-284.544-21.888 0-39.68-17.792-39.68-39.68s17.792-39.68 39.68-39.68c190.848 0 415.36 122.752 455.552 350.08 3.84 21.632-10.624 42.112-32.128 45.952-2.432 0.384-4.736 0.64-7.04 0.64"
                fill="currentColor"
                p-id="29670"
              ></path>
            </svg>
          </div>
        </div>
      </div>
    );
}

export default Header