import React from "react";
import { createRoot } from "react-dom/client";
import "./index.css";
import "./locales";
import reportWebVitals from "./reportWebVitals";
import { FluentProvider, webLightTheme } from "@fluentui/react-components";
import { RouterProvider } from "react-router-dom";
import router from "./router/index";

const container = document.getElementById("root");
const root = createRoot(container!); // 创建一个根

// 使用 createRoot 渲染你的应用
root.render(
  <FluentProvider theme={webLightTheme}>
    <RouterProvider router={router} />
  </FluentProvider>
);

reportWebVitals();
